Replication files
Nash Equilibria on (Un)Stable Networks
Also available at www.antonbadev.net/neks

Anton Badev
anton.badev@gmail.com

2020 September

SOFTWARE
=========
Ubuntu 18.04.4 LTS
Python 3.6.10
GCC 7.5.0
Stata 12.1

ADD HEALTH DATA
================
Visit addhealth.cpc.unc.edu/data/
Data files:
ICPSR_27021/DS0022/27021-0022-Data-REST.dta
ICPSR_27021/DS0001/27021-0001-Data-REST.dta
ICPSR_27022/DS0001/27022-0001-Data-REST.dta
ICPSR_27024/DS0001/27024-0001-Data-REST.dta
ICPSR_27024/DS0003/27024-0003-Data-REST.dta

PROGRAM CODE
=============

A. DATA PREP
-------------
In folder DataPrep:
000-setup.do (adapt to your folder tree)
inhm-01.do
inhm-02.do
inhm-03.do
inhm-04-Python.do
inhm-04-Python-ctrf-schoolComposition.do
NOTES
1. Schools from the saturated sample
2. Drop the largest school and schools with fewer than 100 students.
3. Split the second largest school into school-grades
in order to obtain school networks of similar sizes
4. Missing values price and tax - impute the average for the scid
5. Transformations:
- income    = dev log income from mean by scid
- price/tax = dev from mean by scid in cents
- race = 1 (White), 2 (Black), 3 (Hisp, Asian, Other)
6. Counterfactual school composition: replicas of SCID 028
7. Output files:
- attr.csv
- attr2.csv (extended attributes)
- edges.csv
- attr-ctrfSchoolComposition.csv
- edges-ctrfSchoolComposition.csv

B. ESTIMATION
--------------
Notes:
i. Libraries
libXXX.py
compute_XXX.so
ii. Priors
Folder Estimation/priors
iii. Python installation
Python 3.6 (conda create -n py36 python=3.6)

B.1. Preparation
prep_data.py
prep_data_ctrfSchoolComposition.py
prep_setup.py (compiles C libs)

B.2. Bayesian estimation
B.2.1. Specification with tobacco price
Six estimation scenarios
posterior.py
posteriorFixedNet.py
posteriorNoPE.py
PosteriorNoNetData.py
posteriorNoTri.py
posteriorNoCost.py

B.2.2. Specification with income/allowances
Six estimation scenarios
income-posterior.py
income-posteriorFixedNet.py
income-posteriorNoPE.py
income-PosteriorNoNetData.py
income-posteriorNoTri.py
income-posteriorNoCost.py

C.POST ESTIMATION
------------------
C.1. Sample 1000 draws from the posterior distributions
Folder Estimation/estimates
prep_estimates.py
prep_income_estimates.py

C.2. Counterfactuals (including simulations for model fit)
Folder Post_Estimation

C.2.1. Specification with tobacco price
modelFit.py
ctrfPrice.py
ctrfSchoolComposition.py
ctrfSpillovers.py

C.2.2. Specification with income/allowances
modelFit_income.py
ctrfSchoolComposition_income.py
ctrfSpillovers_income.py

D. VISUALS
-----------
Folder Post_Estimation contains all program files
Folder TeX contains all output files
table_descriptiveStats.py
table_estimates.py
table_fit.py
table_ctrfPrice.py
table_ctrfSpills.py
visuals_postriorPrice.py
visuals_ctrfSchoolComposition.py

table_estimates_income.py
table_fit_income.py
table_ctrfSpills_income.py
visuals_postriorIncome.py
visuals_ctrfSchoolComposition_income.py
